/* CSS Document */

/* START: BuddyX Menu Panel Scrolling */

#buddyx-menu-panel .buddyx-menu-panel-inner.buddyx-scrollbar {
  overflow-y: auto !important; /* Adding !important to ensure it overrides */
  height: 100% !important;     /* Adding !important to ensure it overrides */
}
/* END: BuddyX Menu Panel Scrolling */

/* START: Activity Column Max Width */
#bp-messages-activity-inner { max-width: 670px; margin: 0 auto; }
/* END: Activity Column Max Width */

/* START: BuddyPress Activity Card Styling */
html.dark-mode #activity-stream .activity-list .activity-item {
  background-color: #1a1a1a !important;
  border-style: solid !important;
  border-width: 1px !important;
  border-color: #333333 !important;
  box-shadow: 0px 8px 12px -4px #000000 !important;
}
/* END: BuddyPress Activity Card Styling */

/* START: Activity Meta Styling */
html.dark-mode .activity-list .activity-item .activity-content .activity-meta {
  border-style: none !important;
}
/* END: Activity Meta Styling */

/* START: Activity Stream List Border */
html.dark-mode #activity-stream ul .activity > div {
  border-style: none !important;
}
/* END: Activity Stream List Border */

/* START: Activity Comment Form Shadow */
html.dark-mode #bp-nouveau-activity-form form {
  box-shadow: 0px 0px 8px 2px #333333 !important;
  border-top-left-radius: 8px !important;
  border-top-right-radius: 8px !important;
  border-bottom-left-radius: 8px !important;
  border-bottom-right-radius: 8px !important;
}
/* END: Activity Comment Form Shadow */

